//-----------------------------------------------------------------------------
// original script from "fileselect_example2" by Martin Poehlmann
//-----------------------------------------------------------------------------

#include "std.mi"

/* Part of exd.mi */

Function String replaceString(string baseString, string toreplace, string replacedby);

/**
 replaceString()

 Returns the class name for the object.

 @param  baseString    The String which you want to modify.
 @param  toreplace     The String you want to be replaced.
 @param  replacedby    The String instead of 'toreplace'.
 @ret                  The replaced string.
*/

String replaceString(string baseString, string toreplace, string replacedby) {
	if (toreplace == "") return baseString;
	int i = strsearch(baseString, toreplace);
	if (i == -1) return baseString;
	string left = "", right = "";
	if (i != 0) left = strleft(baseString, i);

	if (strlen(basestring) - i - strlen(toreplace) != 0) {
		right = strright(basestring, strlen(basestring) - i - strlen(toreplace));
	}
	return left + replacedby + right;
}

Global Layout docknormal;
Global layer l;

Global Layout confignormal;
Global Group ScriptGrp;
Global edit e;


System.onScriptLoaded() {
	docknormal = getContainer("dock").getLayout("normal");
	l = docknormal.findObject("DisplayBaseDockTop");

	ScriptGrp = getScriptGroup();
	e = ScriptGrp.findObject("filename");
	e.setAutoEnter(1);
	e.setText(getPrivateString("Quadelic_White", "editpath5", ""));

}

e.onEditUpdate() {
	string s = getText();
	string rs = s;
	/* ensure that there are no "%" in the string */
	for ( int i = 0; i < 666; i++ ) {	
		if (strsearch(s, "%20") != -1) {
			s = replaceString(s, "%20", " ");
			i = 0;
		} else i = 666;
	}
	for ( int i = 0; i < 666; i++ ) {	
		if (strsearch(s, "%") != -1) {
			s = replaceString(s, "%", "");
			i = 0;
		} else i = 666;
	}
	if (rs == s) { //cannot input % anymore
		setPrivateString("Quadelic_White", "editpath5", s);
		l.setXMLParam("image", s);
	}
	if (rs == "") { 
		l.setXMLParam("image", "DisplayBaseDockTop");
	} else {
		e.setText(s);
	}
}
