//-----------------------------------------------------------------------------
// customvis.m
//
// Creates a Custom Visualization from an Animated Layer
//
// To Use this script:
//
// 1) Put the customvis.maki file in your scripts folder
// 2) Put <script id="customvis" file="scripts/customvis.maki"/> in the same group
//       as your animated layer
// 3) Done!
//
// by iPlayTheSpoons
//
//-----------------------------------------------------------------------------

#include "std.mi"

Function UpdateVis(Int Frame);

Global AnimatedLayer MainVis;
Global Timer VisTimer;
Global Double Level, OneFrame;
Global Int LastFrame;

System.onScriptLoaded() { 

	Group VisGroup = getScriptGroup();
	MainVis = VisGroup.getObject("Vis.Animation");
		
	VisTimer = new Timer;
	VisTimer.setDelay(50);
	VisTimer.start();
	MainVis.setSpeed(50);
	OneFrame = 255/(MainVis.getLength());

}
	
System.onScriptUnloading() {
  VisTimer.stop();
  delete VisTimer;
}


VisTimer.onTimer() {
	Level = ((System.getLeftVuMeter() + System.getRightVuMeter())/2);
	UpdateVis(Level/OneFrame);
}

UpdateVis(Int Frame){
	{
		MainVis.setStartFrame(LastFrame);
     	MainVis.setEndFrame(Frame);
     	MainVis.play();
     	LastFrame = Frame;
	}
}