//------------------------ original ----------------------------------------------
// drawer.m
//
// created by FrisbeeMonkey
//
// Edited for Alunaminamp, to be able to open the drawer with a button
//-----------------------------------------------------------------------------


#include "std.mi"

function DrawerOpen();
function DrawerClose();

Global Group DrawerGrp;
Global Layer Drawer, DrawerInfo;
Global Button DrawerButton;
Global Vis VisDock;
Global Group TabCloseContents;
Global Int DrawerStatus;  //0 = closed, 1 = open
Global Int StartX, StartY, EndX, EndY;

System.onScriptLoaded() {

	DrawerGrp = getScriptGroup();

	Drawer = DrawerGrp.findObject("Drawer");
	DrawerInfo = DrawerGrp.findObject("DrawerInfo");
	DrawerButton = DrawerGrp.getObject("DrawerButton");
	VisDock = DrawerGrp.getObject("Vis.dock");
	TabCloseContents = DrawerGrp.getObject("tab.close.contents");

	StartX = StringToInteger(DrawerGrp.getXMLparam("x"));
	StartY = StringToInteger(DrawerGrp.getXMLparam("y"));
	EndX = StringToInteger(DrawerInfo.getXMLparam("x"));
	EndY = StringToInteger(DrawerInfo.getXMLparam("y"));

	DrawerStatus = getPrivateInt("Quadelic_White", "Drawerstate", DrawerStatus); 
	if (DrawerStatus == 1) { 
		DrawerOpen();
		VisDock.hide();
		TabCloseContents.show();
		} else { 
		DrawerClose();
		VisDock.show();
		TabCloseContents.hide();
	}
}



DrawerOpen() {
    if (!DrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving
      DrawerGrp.setTargetX(EndX);  //set the x coordinate you want the drawer to slide to
      DrawerGrp.setTargetY(EndY);  //set the y coordinate you want the drawer to slide to
      DrawerGrp.setTargetSpeed(0.3);  //sets the speed the drawer will slide at(higher is slower)
      DrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
    }
}

DrawerClose() {  
   if (!DrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving
      DrawerGrp.setTargetX(StartX);  //set the x coordinate you want the drawer to slide back to
      DrawerGrp.setTargetY(StartY);   //set the y coordinate you want the drawer to slide back to
      DrawerGrp.setTargetSpeed(0.3);  //sets the speed the drawer will slide at(higher is slower)
      DrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
    }
}




DrawerButton.onLeftButtonUp(int x, int y) {
  if (DrawerStatus == 0) {  // if our Drawer is closed, make it slide open
      DrawerOpen();
      VisDock.hide();
      TabCloseContents.show();
      DrawerStatus = 1;  //Change the flag to Open
      setPrivateInt("Quadelic_White", "Drawerstate", DrawerStatus); 
} else {  // if our Drawer is open, make it slide closed
      DrawerClose();
      VisDock.show();
      TabCloseContents.hide();
      DrawerStatus = 0;  //Change the flag to Closed
      setPrivateInt("Quadelic_White", "Drawerstate", DrawerStatus); 
  }
}

