//-----------------------------------------------------------------------------
// original from Drone by 883design and rpeterclark
//-----------------------------------------------------------------------------

#include "std.mi"

Function buttonSwitchClickUtil();

Global Container containerMain;
Global Layout mainnormal;
Global Layout mainsquare;
Global Layout mainstick;

Global Group StickConGrp;
Global Button MainSwitchBtn;
Global Button SquareSwitchBtn;
Global Button StickSwitchBtn;

System.onScriptLoaded(){
	containerMain = System.getContainer("main");
	mainnormal = getContainer("main").getLayout("normal");
	mainsquare = getContainer("main").getLayout("square");
	mainstick = getContainer("main").getLayout("stick");

	MainSwitchBtn = mainnormal.findObject("MainSwitchBtn");
	SquareSwitchBtn = mainsquare.findObject("SquareSwitchBtn");
	StickConGrp = mainstick.findObject("stick.control.left");
	StickSwitchBtn = StickConGrp.findObject("StickSwitchBtn");
}

MainSwitchBtn.onRightClick() { buttonSwitchClickUtil(); }
SquareSwitchBtn.onRightClick() { buttonSwitchClickUtil(); }
StickSwitchBtn.onRightClick() { buttonSwitchClickUtil(); }

MainSwitchBtn.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
SquareSwitchBtn.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
StickSwitchBtn.onRightButtonUp(Int intPosX, Int intPosY) { complete;}

buttonSwitchClickUtil() {
	PopupMenu popupMenuSwitch;
	
	popupMenuSwitch = new PopupMenu;
	popupMenuSwitch.addCommand(":: mode ::", 0, 0, 1);
	popupMenuSwitch.addSeparator();
	popupMenuSwitch.addCommand(" normal", 1, (mainnormal.isVisible()), 0);
	popupMenuSwitch.addCommand(" square", 2, (mainsquare.isVisible()), 0);
	popupMenuSwitch.addCommand(" stick", 3, (mainstick.isVisible()), 0);
	
	if (popupMenuSwitch == NULL) { return; }
	Int selectlayout = popupMenuSwitch.popAtMouse();
	if (selectlayout > 0) {
		if (selectlayout == 1) { containerMain.switchToLayout("normal"); }
		if (selectlayout == 2) { containerMain.switchToLayout("square"); }
		if (selectlayout == 3) { containerMain.switchToLayout("stick"); }
	}
	complete;
	
	delete popupMenuSwitch;
}
