#include "std.mi"
#include "pldir.mi"

Function updatedisplay();

Global Group infogroup;
Global Text artistT, titleT, albumT;
Global String newArtist, newTitle;
Global Timer TickerTimer;

updatedisplay()
{
 string pre_title = System.getPlayItemMetaDataString("title");
 string pre_artist = System.getPlayItemMetaDataString("artist");
 string pre_album = System.getPlayItemMetaDataString("album");

 titleT.setText(pre_title);
 artistT.setText(pre_artist);
 albumT.setText(pre_album);
}

System.onScriptLoaded()
{

  infogroup = System.getScriptGroup();

  artistT = infogroup.getObject("songArtist.wide");
  titleT = infogroup.getObject("songTitle.wide");
  albumT = infogroup.getObject("songAlbum.wide");

	TickerTimer = new Timer;
	TickerTimer.setDelay(750);

  UpdateDisplay();

}

System.onTitlechange(String newTitle)
{
  UpdateDisplay();
}

TickerTimer.onTimer() {
	artistT.setText("");
	TickerTimer.stop();
	UpdateDisplay();
}

//---------------------------------------------
System.onVolumeChanged(int newVol) {
	TickerTimer.stop();
	TickerTimer.start();
	int p = (newVol * 100) / 255;
	artistT.setAlternateText("::: Vol." + System.integerToString(p) + "% ::: ");
}

System.onPlay(){
	TickerTimer.stop();
	TickerTimer.start();
	artistT.setAlternateText("::: Play :::");
}

System.onPause(){
	TickerTimer.stop();
	TickerTimer.start();
	artistT.setAlternateText("::: Pause :::");
}

System.onStop(){
	TickerTimer.stop();
	TickerTimer.start();
	artistT.setAlternateText("::: Stop :::");
}

System.onResume(){
	TickerTimer.stop();
	TickerTimer.start();
	artistT.setAlternateText("::: Play :::");
}